gradle 使用 apply plugin: "net.ltgt.apt-idea" 插件, 导致 lombok 失效, 这是什么原因? 5C

// apply plugin: "net.ltgt.apt-idea"

把这个注释掉, 就可以正常运行,
是因为该apt导致lombok 的注解处理器无法使用吗? 有什么解决的办法, 谢谢

1个回答

u014218318
藏不戈 谢谢
大约一个月之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
Error:Could not find com.android.tools.build:gradle-core:2.3.3. Searched in the following locations:
新导入项目报这个错误: Error:Could not find com.android.tools.build:gradle-core:2.3.3. Searched in the following locations: https://repo1.maven.org/maven2/com/android/tools/build/gradle-core/2.3.3/gradle-core-2.3.3.pom https://repo1.maven.org/maven2/com/android/tools/build/gradle-core/2.3.3/gradle-core-2.3.3.jar Required by: project :library > com.android.tools.build:gradle:2.3.3。 图片: ![图片说明](https://img-ask.csdn.net/upload/201908/30/1567134273_698972.png) ![图片说明](https://img-ask.csdn.net/upload/201908/30/1567134287_697402.png)
DBFlow总是导入失败? 不知道哪里错了
project buildscript { repositories { jcenter() mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:2.2.3' classpath 'com.jakewharton:butterknife-gradle-plugin:8.5.1' classpath 'com.neenbedankt.gradle.plugins:android-apt:1.8' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files } } allprojects { repositories { jcenter() mavenCentral() maven{url"http://www.jitpack.io" } } model apply plugin: 'com.android.library' apply plugin: 'com.neenbedankt.android-apt' android { compileSdkVersion 25 buildToolsVersion "25.0.2" defaultConfig { minSdkVersion 19 targetSdkVersion 25 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile project(':common') compile "com.aliyun.dpa:oss-android-sdk:$rootProject.ext.ossVersion" /*apt 'com.raizlabs.android:DBFlow-Compiler:2.2.1' compile "com.raizlabs.android:DBFlow-Core:2.2.1" compile "com.raizlabs.android:DBFlow:2.2.1"*/ apt 'com.github.Raizlabs.DBFlow:dbflow-processor:3.0.0-beta2' compile "com.github.Raizlabs.DBFlow:dbflow-core:3.0.0-beta2" compile "com.github.Raizlabs.DBFlow:dbflow:3.0.0-beta2" testCompile 'junit:junit:4.12' compile 'com.squareup.retrofit2:retrofit:2.3.0' }
在IDEA导入Gradle项目之后一直报错
代码用的Spring Boot+ MyBatis 导入后一直报如下错误 ``` Could not find org.springframework.boot:spring-boot-gradle-plugin:1.5.7.RELEASE. Searched in the following locations: http://maven.aliyun.com/nexus/content/groups/public/org/springframework/boot/spring-boot-gradle-plugin/1.5.7.RELEASE/spring-boot-gradle-plugin-1.5.7.RELEASE.pom http://maven.aliyun.com/nexus/content/groups/public/org/springframework/boot/spring-boot-gradle-plugin/1.5.7.RELEASE/spring-boot-gradle-plugin-1.5.7.RELEASE.jar Required by: project : ``` Gradle相关配置如下 ``` apply plugin: 'java' apply plugin: 'eclipse-wtp' apply plugin: 'org.springframework.boot' if (!DEVELOP_MODE.toBoolean()) { apply plugin: 'war' } group = 'com.server' version = '0.0.1-SNAPSHOT' sourceCompatibility = 1.8 repositories { maven { url 'http://maven.aliyun.com/nexus/content/groups/public/' } } configurations { providedRuntime } dependencies { compile('org.springframework.boot:spring-boot-starter-aop') compile('org.springframework.boot:spring-boot-starter-data-jpa') compile('org.springframework.boot:spring-boot-starter-jdbc') compile('org.springframework.boot:spring-boot-starter-web') compile('org.mybatis.spring.boot:mybatis-spring-boot-starter:1.3.1') compile "org.springframework.boot:spring-boot-starter-thymeleaf" runtime('mysql:mysql-connector-java') if (!DEVELOP_MODE.toBoolean()) { providedRuntime('org.springframework.boot:spring-boot-starter-tomcat') } testCompile('org.springframework.boot:spring-boot-starter-test') } ```
安卓开发:org.gradle.tooling.BuildException:
在真机上出现这个异常 org.gradle.tooling.BuildException: Exception while generating InstantRun main resources APK ![在真机上运行出现这个异常](https://img-ask.csdn.net/upload/201804/25/1524669025_349170.png) 我的清单文件 <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools" package="com.example.lenovo.mynotebook"> <provider android:name="android.support.v4.content.FileProvider" android:authorities="com.example.lenovo.mynotebook.fileprovider" android:exported="false" android:grantUriPermissions="true"> <meta-data android:name="android.support.FILE_PROVIDER_PATHS" android:resource="@xml/provider_paths" /> </provider> <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/> <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" tools:ignore="ProtectedPermissions" /> <uses-permission android:name="android.permission.CAMERA" /> <application android:allowBackup="true" android:icon="@mipmap/ic_launcher" android:label="@string/app_name" android:roundIcon="@mipmap/ic_launcher_round" android:supportsRtl="true" android:theme="@style/AppTheme"> <activity android:name=".MainActivity" android:windowSoftInputMode="adjustUnspecified|stateHidden" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> <activity android:name=".edit_activity" android:windowSoftInputMode="adjustUnspecified|stateHidden" > </activity> </application> </manifest> ``` 我的build.gradle(Project) // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { google() jcenter() } dependencies { classpath 'com.android.tools.build:gradle:3.1.0' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files } } allprojects { repositories { google() jcenter() } } task clean(type: Delete) { delete rootProject.buildDir } ``` ``` 我的build.gradle(app) ```apply plugin: 'com.android.application' android { compileSdkVersion 27 defaultConfig { applicationId "com.example.lenovo.mynotebook" minSdkVersion 15 targetSdkVersion 27 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { implementation fileTree(include: ['*.jar'], dir: 'libs') implementation 'com.android.support.constraint:constraint-layout:1.0.2' testImplementation 'junit:junit:4.12' androidTestImplementation 'com.android.support.test:runner:1.0.1' androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.1' implementation 'com.android.support:support-v4:27.1.1' } ``` ``` ``` ```
关于 spring boot 用gradle打包 war后运行的问题
打包以后 出现错误 ``` 2-Jul-2019 16:00:10.516 严重 [localhost-startStop-1] org.apache.catalina.core.StandardContext.startInternal Error during ServletContainerInitializer processing javax.servlet.ServletException: Failed to instantiate WebApplicationInitializer class at org.springframework.web.SpringServletContainerInitializer.onStartup(SpringServletContainerInitializer.java:155) at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5267) at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150) at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:754) at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:730) at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:734) at org.apache.catalina.startup.HostConfig.deployDirectory(HostConfig.java:1140) at org.apache.catalina.startup.HostConfig$DeployDirectory.run(HostConfig.java:1875) at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) at java.util.concurrent.FutureTask.run(Unknown Source) at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source) at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source) at java.lang.Thread.run(Unknown Source) Caused by: java.lang.InstantiationException: io.j99.app.measure.Application at java.lang.Class.newInstance(Unknown Source) at org.springframework.web.SpringServletContainerInitializer.onStartup(SpringServletContainerInitializer.java:152) ... 12 more Caused by: java.lang.NoSuchMethodException: io.j99.app.measure.Application.<init>() at java.lang.Class.getConstructor0(Unknown Source) ... 14 more 02-Jul-2019 16:00:10.516 严重 [localhost-startStop-1] org.apache.catalina.core.StandardContext.startInternal Context [/measure-0.0.1] startup failed due to previous errors 02-Jul-2019 16:00:10.562 警告 [localhost-startStop-1] org.apache.catalina.loader.WebappClassLoaderBase.clearReferencesThreads The web application [measure-0.0.1] appears to have started a thread named [Abandoned connection cleanup thread] but has failed to stop it. This is very likely to create a memory leak. Stack trace of thread: 02-Jul-2019 16:00:10.562 信息 [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deployment of web application directory [D:\Program Files\Apache Software Foundation\Tomcat 8.5\webapps\measure-0.0.1] has finished in [5,484] ms 02-Jul-2019 16:00:10.562 信息 [localhost-startStop-1] org.apache.catalina.startup.HostConfig.deployDirectory Deploying web application directory [D:\Program Files\Apache Software Foundation\Tomcat 8.5\webapps\ROOT] 02-Jul-2019 16:00:10.734 信息 [36] org.apache.catalina.loader.WebappClassLoaderBase.checkStateForResourceLoading Illegal access: this web application instance has been stopped already. Could not load []. The following stack trace is thrown for debugging purposes as well as to attempt to terminate the thread which caused the illegal access. java.lang.IllegalStateException: Illegal access: this web application instance has been stopped already. Could not load []. The following stack trace is thrown for debugging purposes as well as to attempt to terminate the thread which caused the illegal access. at org.apache.catalina.loader.WebappClassLoaderBase.checkStateForResourceLoading(WebappClassLoaderBase.java:1364) at org.apache.catalina.loader.WebappClassLoaderBase.getResource(WebappClassLoaderBase.java:1021) at com.mysql.cj.jdbc.AbandonedConnectionCleanupThread.checkContextClassLoaders(AbandonedConnectionCleanupThread.java:96) at com.mysql.cj.jdbc.AbandonedConnectionCleanupThread.run(AbandonedConnectionCleanupThread.java:69) at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source) at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source) at java.lang.Thread.run(Unknown Source) ``` ``` apply plugin: 'java' apply plugin: 'org.springframework.boot' //apply plugin: 'spring-boot' //apply plugin: 'watch' apply plugin: 'war' war { baseName = 'measure' version = '0.0.1' } /*apply plugin: 'idea' idea { module { inheritOutputDirs = false outputDir = file("$buildDir/classes/main/") } }*/ repositories { maven { url "http://maven.aliyun.com/nexus/content/repositories/public/" } maven { url "http://repo.spring.io/libs-snapshot" } } tasks.withType(JavaCompile) { options.encoding = 'UTF-8' } sourceCompatibility = 1.8 targetCompatibility = 1.8 springBoot { executable = true } configurations { // providedRuntime dev } /*jar { mainClass = "io.j99.app.measure.Application" }*/ dependencies { compile("commons-logging:commons-logging:1.2") compile("javax.servlet:javax.servlet-api:4.0.1") // compile group: 'org.apache.tomcat.embed', name: 'tomcat-embed-jasper', version: '9.0.8' compile("org.springframework.boot:spring-boot-devtools") // compile group: 'org.springframework.boot', name: 'spring-boot-dependencies', version: '2.2.0.M4' compile group: 'org.springframework.boot', name: 'spring-boot-maven-plugin', version: '2.2.0.M4' /// compile ("org.springframework.boot:spring-boot-dependencies") compile ("org.springframework.boot:spring-boot-maven-plugin") /// //// compile group: 'cn.org.faster', name: 'spring-boot-starter-parent', version: '1.1.1.RELEASE' compile ("org.springframework.boot:spring-boot-starter-tomcat") compile ("org.springframework.boot:spring-boot-starter-web") compile ("org.springframework.boot:spring-boot-devtools") // compile "org.springframework.boot:spring-boot-configuration-processor" compile("mysql:mysql-connector-java:8.0.12") /// compile fileTree(dir: 'libs', include: ['*.jar']) // dev("org.springframework.boot:spring-boot-devtools") testCompile("org.springframework.boot:spring-boot-starter-test") compile "io.springfox:springfox-swagger2:2.5.0" compile("org.springframework.session:spring-session") compile("org.simpleframework:simple-xml:2.7") compile("org.springframework.boot:spring-boot-starter-thymeleaf") compile("org.springframework.boot:spring-boot-starter-data-redis") compile("org.springframework.boot:spring-boot-starter-data-rest") compile 'io.jsonwebtoken:jjwt:0.6.0' // compile("org.springframework.boot:spring-boot-starter-data-mongodb") compile("org.springframework.boot:spring-boot-starter-jdbc") compile("org.springframework.boot:spring-boot-starter-data-jpa") compile("org.springframework.boot:spring-boot-starter-actuator") // compile("mysql:mysql-connector-java") compile("com.fasterxml.jackson.datatype:jackson-datatype-jsr310:2.6.0") compile 'com.squareup.retrofit2:retrofit:2.1.0' compile 'com.squareup.retrofit2:converter-jackson:2.1.0' compile 'com.squareup.retrofit2:adapter-rxjava:2.1.0' compile 'com.squareup.okhttp3:logging-interceptor:3.1.2' compile 'com.squareup.okhttp3:okhttp:3.1.2' compile("org.springframework.boot:spring-boot-starter-web") compile('commons-net:commons-net:3.5') compile('com.googlecode.log4jdbc:log4jdbc:1.2') // https://mvnrepository.com/artifact/org.apache.poi/poi compile group: 'org.apache.poi', name: 'poi', version: '3.15' compile group: 'org.apache.poi', name: 'poi-ooxml', version: '3.15' // https://mvnrepository.com/artifact/commons-lang/commons-lang compile group: 'commons-lang', name: 'commons-lang', version: '2.6' compile 'com.qiniu:qiniu-java-sdk:7.2.2' // https://mvnrepository.com/artifact/org.apache.ant/ant compile group: 'org.apache.ant', name: 'ant', version: '1.10.1' } bootRun { // addResources = true classpath = sourceSets.main.runtimeClasspath + configurations.dev } ``` 用gradle打包 war后 放入tomcat运行 报错 不知道是那个jar问题导致的 想问问各位大佬
IDEA导入gradle项目,所以用compile方式引入包都变成了provided
build.gradle文件配置如下: ``` buildscript { ext { springBootVersion = '1.5.2.RELEASE' } repositories { mavenLocal() jcenter() } dependencies { classpath("org.springframework.boot:spring-boot-gradle-plugin:${springBootVersion}") } } version '1.0-SNAPSHOT' apply plugin: 'java' apply plugin: 'idea' apply plugin: 'org.springframework.boot' sourceCompatibility = 1.8 targetCompatibility = 1.8 [javadoc, compileTestJava]*.options*.encoding = 'UTF-8' compileJava { options.encoding = 'UTF-8' options.compilerArgs << "-Xlint:unchecked" << "-Xlint:deprecation" } repositories { mavenLocal() //mavenCentral() jcenter() } configurations { compile.exclude group: 'org.springframework.boot', module: 'spring-boot-starter-tomcat' compile.exclude group: 'org.apache.tomcat' compile.exclude group: 'org.apache.tomcat.embed' all*.exclude module: 'spring-boot-starter-logging' } dependencies { compile('org.springframework.boot:spring-boot-starter-jersey') //compile('org.springframework.boot:spring-boot-starter-actuator') compile('org.springframework.boot:spring-boot-starter-undertow') compile('org.springframework.boot:spring-boot-starter-log4j2') compile('org.mybatis.spring.boot:mybatis-spring-boot-starter:1.1.1') // mybatis support // use swagger2 for api documentation compile('io.swagger:swagger-jersey2-jaxrs:1.5.10') compile('org.apache.commons:commons-lang3:3.4') compile('commons-codec:commons-codec:1.10') runtime('com.alibaba:druid:1.0.27') // alibaba datasource runtime('mysql:mysql-connector-java') // mysql jdbc driver runtime('org.apache.logging.log4j:log4j-jul:2.7') // log4j jul bridge(for java.util.logging.Logger) testCompile('org.springframework.boot:spring-boot-starter-test') testCompile('org.glassfish.jersey.connectors:jersey-apache-connector:2.25.1') // support jersey client using apache http client } idea { module { downloadJavadoc = false downloadSources = true } } ``` IDEA导入项目后的包变成了provided ![图片说明](https://img-ask.csdn.net/upload/201706/23/1498193445_262832.png)
app:processDebugResources'.
不知道为什么,在没有编辑“public class SlidingMenu extends HorizontalScrollView”此的代码以前,gradle好没有报错,遍完试运的时候就出现了一下问题 ``` Information:Gradle tasks [:app:assembleDebug] :app:preBuild UP-TO-DATE :app:preDebugBuild UP-TO-DATE :app:checkDebugManifest :app:preReleaseBuild UP-TO-DATE :app:prepareComAndroidSupportAnimatedVectorDrawable2321Library UP-TO-DATE :app:prepareComAndroidSupportAppcompatV72321Library UP-TO-DATE :app:prepareComAndroidSupportSupportV42321Library UP-TO-DATE :app:prepareComAndroidSupportSupportVectorDrawable2321Library UP-TO-DATE :app:prepareDebugDependencies :app:compileDebugAidl :app:compileDebugRenderscript :app:generateDebugBuildConfig UP-TO-DATE :app:generateDebugAssets UP-TO-DATE :app:mergeDebugAssets UP-TO-DATE :app:generateDebugResValues UP-TO-DATE :app:mergeDebugResources :app:generateDebugResources :app:processDebugManifest :app:processDebugResources FAILED Error:Execution failed for task ':app:processDebugResources'. > com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command 'D:\java\sd\build-tools\23.0.3\aapt.exe'' finished with non-zero exit value 1 Information:Total time: 17.299 secs Information:BUILD FAILED Information:1 error Information:0 warnings Information:See complete output in console ``` 这是build.gradle文件 ``` apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion '23.0.3' defaultConfig { applicationId "com.fj_hooone.studys" minSdkVersion 15 targetSdkVersion 23 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) testCompile 'junit:junit:4.12' compile 'com.android.support:appcompat-v7:23.2.1' } ``` 求解救
dagger2编译失败问题 无法运行
正在学习dagger2 ,但是写好一个例子,运行时 失败 请问是什么原因??? 报的异常如下: Error:Execution failed for task ':app:transformClassesWithDexForDebug'. > com.android.build.api.transform.TransformException: com.android.ide.common.process.ProcessException: java.util.concurrent.ExecutionException: com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command 'C:\Program Files\Java\jdk1.7.0_79\bin\java.exe'' finished with non-zero exit value 3 build.gradle的配置如下 : apply plugin: 'com.android.application' apply plugin: 'com.neenbedankt.android-apt' android { compileSdkVersion 23 buildToolsVersion "23.0.3" defaultConfig { applicationId "com.example.app.simpledagger" minSdkVersion 15 targetSdkVersion 23 versionCode 1 versionName "1.0" multiDexEnabled true } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.neenbedankt.gradle.plugins:android-apt:1.4' } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) testCompile 'junit:junit:4.12' // compile 'com.android.support:appcompat-v7:23.4.0' compile 'com.google.dagger:dagger:2.5' compile 'com.google.dagger:dagger-compiler:2.5' provided 'org.glassfish:javax.annotation:10.0-b28' }
Android Studio配置使用butterknife错误
Module gradle apply plugin: 'com.android.library' apply plugin: 'com.jakewharton.butterknife' android { compileSdkVersion 26 buildToolsVersion "26.0.2" defaultConfig { minSdkVersion 15 targetSdkVersion 26 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile 'com.android.support:appcompat-v7:26.0.0-alpha1' testCompile 'junit:junit:4.12' compile project(':latte-annotations') //字体图标 compile 'com.joanzapata.iconify:android-iconify-fontawesome:2.2.2' compile 'com.joanzapata.iconify:android-iconify-ionicons:2.2.2' //Fragmenttation第三方库 compile 'me.yokeyword:fragmentation:1.3.5' compile 'me.yokeyword:fragmentation-swipeback:1.3.5' //butterknife compile 'com.jakewharton:butterknife:8.8.1' annotationProcessor 'com.jakewharton:butterknife-compiler:8.8.1' } App gradle buildscript { repositories { jcenter() mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:3.0.1' classpath 'com.jakewharton:butterknife-gradle-plugin:8.8.1' } } allprojects { repositories { jcenter() } } task clean(type: Delete) { delete rootProject.buildDir } gradle wrapper.properties #Mon Dec 28 10:00:20 PST 2015 distributionBase=GRADLE_USER_HOME distributionPath=wrapper/dists zipStoreBase=GRADLE_USER_HOME zipStorePath=wrapper/dists distributionUrl=https\://services.gradle.org/distributions/gradle-2.14.1-all.zip ![图片说明](https://img-ask.csdn.net/upload/201808/10/1533871469_384842.png) 配置后给出错误提示 Error:(1, 0) Minimum supported Gradle version is 3.3. Current version is 2.14.1. If using the gradle wrapper, try editing the distributionUrl in E:\AndroidCode\TaoJB\gradle\wrapper\gradle-wrapper.properties to gradle-3.3-all.zip <a href="openFile:E:\AndroidCode\TaoJB\example\build.gradle">Open File</a>
[jacoco] 找不到类 "org.jacoco.agent.rt.RT",求解答
使用android stuido进行功能测试代码覆盖率统计。 jacoco应该是gradle自带的一个插件。但是运行的时候提示找不到对应的类。自己创建一个hello world项目进行测试又很正常。 build.gradle中配置如下: apply plugin: 'jacoco' buildTypes { debug { testCoverageEnabled = true ... } } 报错如下: D/JacocoInstrumentation:(22005): java.lang.ClassNotFoundException: org.jacoco.agent.rt.RT D/JacocoInstrumentation:(22005): at java.lang.Class.classForName(Native Method) D/JacocoInstrumentation:(22005): at java.lang.Class.forName(Class.java:309) D/JacocoInstrumentation:(22005): at java.lang.Class.forName(Class.java:273) D/JacocoInstrumentation:(22005): at com.inveno.xiaozhi.test.JacocoInstrumentation.generateCoverageReport(JacocoInstrumentation.java:88) D/JacocoInstrumentation:(22005): at com.inveno.xiaozhi.test.JacocoInstrumentation.onActivityFinished(JacocoInstrumentation.java:139) D/JacocoInstrumentation:(22005): at com.inveno.xiaozhi.test.InstrumentedActivity.onDestroy(InstrumentedActivity.java:24) D/JacocoInstrumentation:(22005): at android.app.Activity.performDestroy(Activity.java:6271) D/JacocoInstrumentation:(22005): at android.app.Instrumentation.callActivityOnDestroy(Instrumentation.java:1148) D/JacocoInstrumentation:(22005): at android.app.ActivityThread.performDestroyActivity(ActivityThread.java:3962) D/JacocoInstrumentation:(22005): at android.app.ActivityThread.handleDestroyActivity(ActivityThread.java:3993) D/JacocoInstrumentation:(22005): at android.app.ActivityThread.access$1400(ActivityThread.java:178) D/JacocoInstrumentation:(22005): at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1524) D/JacocoInstrumentation:(22005): at android.os.Handler.dispatchMessage(Handler.java:111) D/JacocoInstrumentation:(22005): at android.os.Looper.loop(Looper.java:194) D/JacocoInstrumentation:(22005): at android.app.ActivityThread.main(ActivityThread.java:5637) D/JacocoInstrumentation:(22005): at java.lang.reflect.Method.invoke(Native Method) D/JacocoInstrumentation:(22005): at java.lang.reflect.Method.invoke(Method.java:372) D/JacocoInstrumentation:(22005): at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:959) D/JacocoInstrumentation:(22005): at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:754) D/JacocoInstrumentation:(22005): Caused by: java.lang.ClassNotFoundException: Didn't find class "org.jacoco.agent.rt.RT" on path: DexPathList[[zip file "/data/app/coms file "/data/app/com.hotoday.news-1/b", zip file "/data/app/com.hotoday.news-1/split_lib_dependencies_apk.apk", zip file "/data/app/com.hotoday.news-1/split_lib_slice_0_apk.apk", zip file "/data/app/com.hotoday.news-1/split_lib_slice_1_apk.apk", zip file "/data/app/com.hotoday.news-1/split_lib_slice_2_apk.apk", zip file "/data/app/com.hotoday.news-1/split_lib_slice_3_apk.apk", zip file "/data/app/com.hotoday.news-1/split_lib_slice_4_apk.apk", zip file "/data/app/com.hotoday.news-1/split_lib_slice_5_apk.apk", zip file "/data/app/com.hotoday.news-1/split_lib_slice_6_apk.apk", zip file "/data/app/com.hotoday.news-1/split_lib_slice_7_apk.apk", zip file "/data/app/com.hotoday.news-1/split_lib_slice_8_apk.apk", zip file "/data/app/com.hotoday.news-1/split_lib_slice_9_apk.apk"],nativeLibraryDirectories=[/vendor/lib64, /system/lib64]] D/JacocoInstrumentation:(22005): at dalvik.system.BaseDexClassLoader.findClass(BaseDexClassLoader.java:56) D/JacocoInstrumentation:(22005): at java.lang.ClassLoader.loadClass(ClassLoader.java:511) D/JacocoInstrumentation:(22005): at java.lang.ClassLoader.loadClass(ClassLoader.java:469) D/JacocoInstrumentation:(22005): ... 19 more D/JacocoInstrumentation:(22005): Suppressed: java.lang.ClassNotFoundException: org.jacoco.agent.rt.RT D/JacocoInstrumentation:(22005): at java.lang.Class.classForName(Native Method) D/JacocoInstrumentation:(22005): at java.lang.BootClassLoader.findClass(ClassLoader.java:781) D/JacocoInstrumentation:(22005): at java.lang.BootClassLoader.loadClass(ClassLoader.java:841) D/JacocoInstrumentation:(22005): at java.lang.ClassLoader.loadClass(ClassLoader.java:504) D/JacocoInstrumentation:(22005): ... 20 more D/JacocoInstrumentation:(22005): Caused by: java.lang.NoClassDefFoundError: Class not found using the boot class loader; no stack available
维护很久前的项目 莫名其妙的导入design
前几天维护一个很久前的项目,想转到安卓x,结果对jar包升级的时候有一个design一直存在,并且报错把jar包转移到新项目中也不会出现这个design 下面贴图![图片说明](https://img-ask.csdn.net/upload/201912/07/1575657133_874940.jpg) apply plugin: 'com.android.application' apply plugin: "findbugs" /*apply from: 'tinker-support.gradle' apply plugin: 'packer'*/ task findbugs(type: FindBugs, dependsOn: 'assembleDebug') { ignoreFailures = true effort = "default" reportLevel = "high" println("$project.buildDir") classes = files("$project.buildDir/intermediates/classes") source = fileTree("src/main/java/") classpath = files() reports { xml.enabled = false html.enabled = true xml { destination file ("$project.buildDir/findbugs.xml") } html { destination file("$project.buildDir/findbugs.html") } } } android { lintOptions { checkReleaseBuilds false abortOnError false } compileSdkVersion 29 buildToolsVersion "29.0.2" sourceSets { main { jniLibs.srcDir 'libs' } // Move the tests to tests/java, tests/res, etc... //instrumentTest.setRoot('tests') // Move the build types to build-types/<type> // For instance, build-types/debug/java, build-types/debug/AndroidManifest.xml, ... // This moves them out of them default location under src/<type>/... which would // conflict with src/ being used by the main source set. // Adding new build types or product flavors should be accompanied // by a similar customization. debug.setRoot('build-types/debug') release.setRoot('build-types/release') } defaultConfig { applicationId "com.goodlive.flying" minSdkVersion 21 targetSdkVersion 29 versionCode 20180228 versionName "1.5.9" //versionName "1.5.2"正式版 // Enabling multidex support. multiDexEnabled true ndk { // 设置支持的SO库架构 abiFilters 'armeabi' , 'x86'//, 'armeabi-v7a', 'x86_64', 'arm64-v8a' } } dexOptions { javaMaxHeapSize "4g" } signingConfigs { release { storeFile file('.jks') storePassword "" keyAlias "" keyPassword "" // 满足下面两个条件时需要此配置 // 1. Gradle版本 >= 2.14.1 // 2. Android Gradle Plugin 版本 >= 2.2.0 // 作用是只使用旧版签名,禁用V2版签名模式 v2SigningEnabled false } debug { storeFile file('.jks') storePassword "" keyAlias "" keyPassword "" } } buildTypes { release { //启用混淆配置 //Zip代码压缩优化 // zipAlignEnabled true //移除无用资源 // shrinkResources true // debuggable true //加载默认混淆文件 proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' signingConfig signingConfigs.release } debug { //启用混淆配置 minifyEnabled false //Zip代码压缩优化 // zipAlignEnabled true //移除无用资源 // shrinkResources true //debugs使用release签名 //加载默认混淆文件 proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' signingConfig signingConfigs.release } } } dependencies { implementation fileTree(dir: 'libs', include: ['*.jar']) implementation project(path: ':PushSDK') implementation 'androidx.appcompat:appcompat:1.1.0' implementation 'androidx.constraintlayout:constraintlayout:1.1.3' testImplementation 'junit:junit:4.12' androidTestImplementation 'androidx.test:runner:1.2.0' androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0' // implementation files('libs/SocialSDK_WeiXin_Full.jar') //dagger2 implementation 'com.qianwen:update-app:3.3.3' implementation 'com.lzy.net:okgo:3.0.4' implementation 'androidx.appcompat:appcompat:1.1.0' implementation 'androidx.recyclerview:recyclerview:1.1.0' implementation 'androidx.cardview:cardview:1.0.0' implementation ('com.google.android.material:material:1.0.0'){ exclude group: 'com.android.support' } implementation ('com.jakewharton:butterknife:8.1.0'){ exclude group: 'com.android.support' } implementation 'com.android.support:multidex:1.0.3' implementation 'com.mcxiaoke.gradle:packer-helper:1.0.9' implementation ('com.github.bumptech.glide:glide:4.0.0-RC0'){ exclude group: 'com.android.support' } implementation 'com.tencent.bugly:crashreport_upgrade:1.4.2' //w implementation ('com.github.lygttpod:SuperTextView:1.0.7'){ exclude group: 'com.android.support' } implementation 'com.orhanobut:logger:1.15' //w implementation ('com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.13'){ exclude group: 'com.android.support' } implementation 'com.blankj:utilcode:1.3.1' implementation 'cn.finalteam:galleryfinal:1.4.8.7' implementation 'com.google.code.gson:gson:2.8.2' implementation 'org.greenrobot:eventbus:3.0.0' implementation 'com.squareup.okhttp3:okhttp:3.10.0' implementation 'com.roughike:bottom-bar:2.0.2' implementation 'com.squareup.okhttp3:logging-interceptor:3.4.1' implementation 'com.squareup.okhttp3:okhttp-urlconnection:3.4.1' implementation 'io.reactivex:rxandroid:1.2.1' implementation 'io.reactivex:rxjava:1.2.1' implementation 'com.squareup.retrofit2:retrofit:2.1.0' implementation 'com.squareup.retrofit2:adapter-rxjava:2.1.0' implementation 'com.squareup.retrofit2:converter-gson:2.1.0' implementation 'com.trello:rxlifecycle-components:0.6.1' implementation 'com.jakewharton.rxbinding:rxbinding:0.4.0' implementation 'com.jakewharton.rxbinding:rxbinding-appcompat-v7:0.3.0' implementation 'com.jakewharton.rxbinding:rxbinding-design:0.3.0' implementation 'com.facebook.stetho:stetho:1.5.0' implementation 'com.facebook.stetho:stetho-okhttp3:1.5.0' implementation 'com.lsjwzh:materialloadingprogressbar:0.5.8-RELEASE' implementation 'me.shaohui.advancedluban:library:1.3.3' implementation 'com.dinuscxj:recycleritemdecoration:1.0.0' implementation 'com.umeng.analytics:analytics:6.1.4' implementation 'androidx.constraintlayout:constraintlayout:1.1.3' implementation 'com.zhy:flowlayout-lib:1.0.3' implementation 'com.afollestad.material-dialogs:core:0.9.4.5' implementation 'com.google.dagger:dagger:2.11-rc2' implementation 'se.emilsjolander:stickylistheaders:2.7.0' testImplementation 'junit:junit:4.12' implementation 'com.bigkoo:quicksidebar:1.0.3' annotationProcessor 'com.github.bumptech.glide:compiler:4.0.0-RC0' annotationProcessor 'com.jakewharton:butterknife-compiler:8.1.0' annotationProcessor 'com.google.dagger:dagger-compiler:2.11-rc2' implementation 'com.github.razerdp:BasePopup:1.9.1' implementation 'com.makeramen:roundedimageview:2.3.0' implementation("com.github.hotchemi:permissionsdispatcher:3.1.0") { // if you don't use android.app.Fragment you can exclude support for them exclude module: "support-v13" } annotationProcessor "com.github.hotchemi:permissionsdispatcher-processor:3.1.0" } ``` 求助大神啊 ```
idea构建Spring源码环境import项目时报错
Gradle project 选择第三个Use local gradle distribution时报错 Plugin [id: 'io.spring.dependency-management', version: '1.0.5.RELEASE', apply: false] was not found in any of the following sources: - Gradle Core Plugins (plugin is not in 'org.gradle' namespace) - Plugin Repositories (could not resolve plugin artifact 'io.spring.dependency-management:io.spring.dependency-management.gradle.plugin:1.0.5.RELEASE') Searched in the following repositories: Gradle Central Plugin Repository Consult IDE log for more details (Help | Show Log) 求大神解答
Android Studio升到2.3后出现问题
Error:Server sent an unsupported extension: type_35 Error:A problem occurred configuring root project 'vsapp2-1'. > Could not resolve all dependencies for configuration ':classpath'. > Could not resolve org.greenrobot:greendao-gradle-plugin:3.2.0. Required by: project : > Could not resolve org.greenrobot:greendao-gradle-plugin:3.2.0. > Could not get resource 'https://jcenter.bintray.com/org/greenrobot/greendao-gradle-plugin/3.2.0/greendao-gradle-plugin-3.2.0.pom'. > Could not HEAD 'https://jcenter.bintray.com/org/greenrobot/greendao-gradle-plugin/3.2.0/greendao-gradle-plugin-3.2.0.pom'. > Server sent an unsupported extension: type_35 > Could not resolve com.tencent.bugly:tinker-support:1.0.8. Required by: project : > Could not resolve com.tencent.bugly:tinker-support:1.0.8. > Could not get resource 'https://jcenter.bintray.com/com/tencent/bugly/tinker-support/1.0.8/tinker-support-1.0.8.pom'. > Could not HEAD 'https://jcenter.bintray.com/com/tencent/bugly/tinker-support/1.0.8/tinker-support-1.0.8.pom'. > Server sent an unsupported extension: type_35
Android studio打包的APK不能在Android5.1上安装
可以连接真机测试,但是打包出来的APK不能在真机上安装,请问会是哪方面的影响? Android studio 升级到最新版本,打包出来的APK不能在Android5.1上运行 下面是对应的gradle和build对应的内容 ``` apply plugin: 'com.android.application' android { compileSdkVersion 25 buildToolsVersion "27.0.3" ``` ``` distributionBase=GRADLE_USER_HOME distributionPath=wrapper/dists zipStoreBase=GRADLE_USER_HOME zipStorePath=wrapper/dists distributionUrl=https\://services.gradle.org/distributions/gradle-4.4-all.zip ``` ``` buildscript { repositories { google() jcenter() } dependencies { classpath 'com.android.tools.build:gradle:3.1.2' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files } } ``` ``` <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.example.demo" android:versionCode="1" android:versionName="1.1"> <uses-sdk android:minSdkVersion="20" android:targetSdkVersion="25" /> ```
新手错误Error:Execution failed for task
今天弄了一个直播sdk下来测试,在新创建的一个空项目里引入了sdk包,没想到更新完gradle,就报出了这个错误,完整如下: Error:Execution failed for task ':app:processDebugManifest'. > Manifest merger failed with multiple errors, see logs 还有相关的信息提示:Information:Gradle tasks [clean, :app:generateDebugSources, :app:mockableAndroidJar, :app:prepareDebugUnitTestDependencies, :app:generateDebugAndroidTestSources, :liveRtmpPushSDK:generateDebugSources, :liveRtmpPushSDK:generateDebugAndroidTestSources, :liveRtmpPushSDK:mockableAndroidJar, :liveRtmpPushSDK:prepareDebugUnitTestDependencies] 以下是空项目的build.gradle信息: apply plugin: 'com.android.application' android { compileSdkVersion 25 buildToolsVersion "26.0.1" defaultConfig { applicationId "com.example.lin.videotest" minSdkVersion 15 targetSdkVersion 25 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile 'com.android.support:appcompat-v7:25.3.1' compile 'com.android.support.constraint:constraint-layout:1.0.2' testCompile 'junit:junit:4.12' compile project(':liveRtmpPushSDK') } 如下是直播sdk的build.gradle信息 apply plugin: 'com.android.library' android { compileSdkVersion 19 buildToolsVersion '25.0.0' defaultConfig { minSdkVersion 19 targetSdkVersion 19 // ndk { // moduleName "fdk-aac" // cFlags "-IE:/AS_code/LiveRtmpPushSDKDemo/liveRtmpPushSDK/src/main/jni -IE:/AS_code/LiveRtmpPushSDKDemo/liveRtmpPushSDK/src/main/jni/include -IE:/AS_code/LiveRtmpPushSDKDemo/liveRtmpPushSDK/src/main/jni/svc" // ldLibs "log", "z", "stdc++" // } } sourceSets.main { jni.srcDirs = [] jniLibs.srcDir 'src/main/libs' } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt' } } } dependencies { compile 'com.android.support:support-v4:18.0.0' }
使用gradle编译打包scala工程,报错:
1.使用的版本 jdk1.7.004 gradle 2.1 scala 2.11.2 2.代码结构 src/main/scala/HelloWorld.scala package main.scala object HelloWorld { def main(args: Array[String]): Unit = { println("hello world") } } 3.build.gradle文件 apply plugin: 'scala' repositories { maven { url "http://10.177.60.141:8888/nexus/conte..." } } dependencies { compile 'org.scala-lang:scala-library:2.11.2' compile 'org.scala-lang:scala-compiler:2.11.2' } 4.执行gradle build命令,结果: D:\Workfiles\Scala\gradleproject>gradle build -stacktrace :compileJava UP-TO-DATE :compileScala FAILED FAILURE: Build failed with an exception. * What went wrong: Execution failed for task ':compileScala'. > scala/runtime/Nothing$ * Try: Run with --info or --debug option to get more log output. * Exception is: org.gradle.api.tasks.TaskExecutionException: Execution failed for task ':compile Scala'. at org.gradle.api.internal.tasks.execution.ExecuteActionsTaskExecuter.ex ecuteActions(ExecuteActionsTaskExecuter.java:69) ........................................................... at org.gradle.api.internal.tasks.execution.ExecuteActionsTaskExecuter.ex ecuteActions(ExecuteActionsTaskExecuter.java:61) ... 44 more Caused by: java.lang.ClassNotFoundException: scala.runtime.Nothing$ ... 76 more BUILD FAILED Total time: 12.063 secs
gradle依赖传递问题:gralde 5.4的版本,使用api project (':xxxxxx')依赖传递会报错
麻烦各位gradle大神帮忙看下一按,使用gralde 5.4的版本,使用api project (':xxxxxx')依赖传递会报错,报错信息为:Could not find method api() for arguments [project ':xxxxxx'] on object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.
运行Gradle的dependencie时的问题
出了73个error 不懂怎么搞 求解谢谢 ``` Information:Gradle tasks [:money_of_my:dependencies] Error:\--- org.hamcrest:hamcrest-core:1.3 Error:\--- org.hamcrest:hamcrest-core:1.3 Error:+--- com.android.support:support-compat:25.0.0 -> 25.0.1 Error:| \--- com.android.support:support-annotations:25.0.1 Error:+--- com.android.support:support-media-compat:25.0.0 Error:| \--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-core-utils:25.0.0 Error:| \--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-core-ui:25.0.0 -> 25.0.1 Error:| \--- com.android.support:support-compat:25.0.1 (*) Error:\--- com.android.support:support-fragment:25.0.0 Error:+--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-media-compat:25.0.0 (*) Error:+--- com.android.support:support-core-ui:25.0.0 -> 25.0.1 (*) Error:\--- com.android.support:support-core-utils:25.0.0 (*) Error:\--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-compat:25.0.0 -> 25.0.1 Error:| \--- com.android.support:support-annotations:25.0.1 Error:+--- com.android.support:support-media-compat:25.0.0 Error:| \--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-core-utils:25.0.0 Error:| \--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-core-ui:25.0.0 -> 25.0.1 Error:| \--- com.android.support:support-compat:25.0.1 (*) Error:\--- com.android.support:support-fragment:25.0.0 Error:+--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-media-compat:25.0.0 (*) Error:+--- com.android.support:support-core-ui:25.0.0 -> 25.0.1 (*) Error:\--- com.android.support:support-core-utils:25.0.0 (*) Error:\--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-compat:25.0.0 -> 25.0.1 Error:| \--- com.android.support:support-annotations:25.0.1 Error:+--- com.android.support:support-media-compat:25.0.0 Error:| \--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-core-utils:25.0.0 Error:| \--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-core-ui:25.0.0 -> 25.0.1 Error:| \--- com.android.support:support-compat:25.0.1 (*) Error:\--- com.android.support:support-fragment:25.0.0 Error:+--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-media-compat:25.0.0 (*) Error:+--- com.android.support:support-core-ui:25.0.0 -> 25.0.1 (*) Error:\--- com.android.support:support-core-utils:25.0.0 (*) Error:\--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-compat:25.0.0 -> 25.0.1 Error:| \--- com.android.support:support-annotations:25.0.1 Error:+--- com.android.support:support-media-compat:25.0.0 Error:| \--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-core-utils:25.0.0 Error:| \--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-core-ui:25.0.0 -> 25.0.1 Error:| \--- com.android.support:support-compat:25.0.1 (*) Error:\--- com.android.support:support-fragment:25.0.0 Error:+--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-media-compat:25.0.0 (*) Error:+--- com.android.support:support-core-ui:25.0.0 -> 25.0.1 (*) Error:\--- com.android.support:support-core-utils:25.0.0 (*) Error:\--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:\--- org.hamcrest:hamcrest-core:1.3 Error:+--- com.android.support:support-compat:25.0.0 -> 25.0.1 Error:| \--- com.android.support:support-annotations:25.0.1 Error:+--- com.android.support:support-media-compat:25.0.0 Error:| \--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-core-utils:25.0.0 Error:| \--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-core-ui:25.0.0 -> 25.0.1 Error:| \--- com.android.support:support-compat:25.0.1 (*) Error:\--- com.android.support:support-fragment:25.0.0 Error:+--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Error:+--- com.android.support:support-media-compat:25.0.0 (*) Error:+--- com.android.support:support-core-ui:25.0.0 -> 25.0.1 (*) Error:\--- com.android.support:support-core-utils:25.0.0 (*) Error:\--- com.android.support:support-compat:25.0.0 -> 25.0.1 (*) Information:BUILD SUCCESSFUL Information:Total time: 3.616 secs Information:73 errors Information:0 warnings Information:See complete output in console ```
遇到Program type already present: android.support.v4.app.BackStackRecord$Op这个问题
运行代码的时候,出现了这个问题 ``` Program type already present: android.support.v4.app.BackStackRecord$Op Message{kind=ERROR, text=Program type already present: android.support.v4.app.BackStackRecord$Op, sources=[Unknown source file], tool name=Optional.of(D8)} ``` 虽然不知道具体意思,感觉就是v4包冲突,可是我不会找在哪冲突的 在网上疯狂搜解决办法,没有一个奏效 给各位大佬呈上我的build.gradle ``` apply plugin: 'com.android.application' android { compileSdkVersion 27 defaultConfig { applicationId "com.example.asus.bs_im" minSdkVersion 16 targetSdkVersion 27 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" //use legacy for android 6.0 useLibrary 'org.apache.http.legacy' } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { api fileTree(include: ['*.jar'], dir: 'libs') api 'com.android.support.constraint:constraint-layout:1.0.2' implementation 'com.android.support:appcompat-v7:27.1.1' implementation 'com.android.support:support-v4:27.1.1' implementation 'com.squareup.okhttp3:okhttp:3.8.1' implementation 'com.google.code.gson:gson:2.8.1' testImplementation 'junit:junit:4.12' androidTestImplementation 'com.android.support.test:runner:1.0.1' androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.1' api project(':easeui') configurations { all*.exclude group: 'com.android.support', module: 'support-v13' } } ``` 整了两三个小时了,各种办法都试过了,希望有大佬来拯救一下我这个辣鸡
终于明白阿里百度这样的大公司,为什么面试经常拿ThreadLocal考验求职者了
点击上面↑「爱开发」关注我们每晚10点,捕获技术思考和创业资源洞察什么是ThreadLocalThreadLocal是一个本地线程副本变量工具类,各个线程都拥有一份线程私有的数
程序员必须掌握的核心算法有哪些?
由于我之前一直强调数据结构以及算法学习的重要性,所以就有一些读者经常问我,数据结构与算法应该要学习到哪个程度呢?,说实话,这个问题我不知道要怎么回答你,主要取决于你想学习到哪些程度,不过针对这个问题,我稍微总结一下我学过的算法知识点,以及我觉得值得学习的算法。这些算法与数据结构的学习大多数是零散的,并没有一本把他们全部覆盖的书籍。下面是我觉得值得学习的一些算法以及数据结构,当然,我也会整理一些看过...
《奇巧淫技》系列-python!!每天早上八点自动发送天气预报邮件到QQ邮箱
此博客仅为我业余记录文章所用,发布到此,仅供网友阅读参考,如有侵权,请通知我,我会删掉。 补充 有不少读者留言说本文章没有用,因为天气预报直接打开手机就可以收到了,为何要多此一举发送到邮箱呢!!!那我在这里只能说:因为你没用,所以你没用!!! 这里主要介绍的是思路,不是天气预报!不是天气预报!!不是天气预报!!!天气预报只是用于举例。请各位不要再刚了!!! 下面是我会用到的两个场景: 每日下
死磕YOLO系列,YOLOv1 的大脑、躯干和手脚
YOLO 是我非常喜欢的目标检测算法,堪称工业级的目标检测,能够达到实时的要求,它帮我解决了许多实际问题。 这就是 YOLO 的目标检测效果。它定位了图像中物体的位置,当然,也能预测物体的类别。 之前我有写博文介绍过它,但是每次重新读它的论文,我都有新的收获,为此我准备写一个系列的文章来详尽分析它。这是第一篇,从它的起始 YOLOv1 讲起。 YOLOv1 的论文地址:https://www.c...
知乎高赞:中国有什么拿得出手的开源软件产品?(整理自本人原创回答)
知乎高赞:中国有什么拿得出手的开源软件产品? 在知乎上,有个问题问“中国有什么拿得出手的开源软件产品(在 GitHub 等社区受欢迎度较好的)?” 事实上,还不少呢~ 本人于2019.7.6进行了较为全面的回答,对这些受欢迎的 Github 开源项目分类整理如下: 分布式计算、云平台相关工具类 1.SkyWalking,作者吴晟、刘浩杨 等等 仓库地址: apache/skywalking 更...
20行Python代码爬取王者荣耀全英雄皮肤
引言 王者荣耀大家都玩过吧,没玩过的也应该听说过,作为时下最火的手机MOBA游戏,咳咳,好像跑题了。我们今天的重点是爬取王者荣耀所有英雄的所有皮肤,而且仅仅使用20行Python代码即可完成。 准备工作 爬取皮肤本身并不难,难点在于分析,我们首先得得到皮肤图片的url地址,话不多说,我们马上来到王者荣耀的官网: 我们点击英雄资料,然后随意地选择一位英雄,接着F12打开调试台,找到英雄原皮肤的图片...
简明易理解的@SpringBootApplication注解源码解析(包含面试提问)
欢迎关注文章系列 ,关注我 《提升能力,涨薪可待》 《面试知识,工作可待》 《实战演练,拒绝996》 欢迎关注我博客,原创技术文章第一时间推出 也欢迎关注公 众 号【Ccww笔记】,同时推出 如果此文对你有帮助、喜欢的话,那就点个赞呗,点个关注呗! 《提升能力,涨薪可待篇》- @SpringBootApplication注解源码解析 一、@SpringBootApplication 的作用是什...
西游记团队中如果需要裁掉一个人,会先裁掉谁?
2019年互联网寒冬,大批企业开始裁员,下图是网上流传的一张截图: 裁员不可避免,那如何才能做到不管大环境如何变化,自身不受影响呢? 我们先来看一个有意思的故事,如果西游记取经团队需要裁员一名,会裁掉谁呢,为什么? 西游记团队组成: 1.唐僧 作为团队teamleader,有很坚韧的品性和极高的原则性,不达目的不罢休,遇到任何问题,都没有退缩过,又很得上司支持和赏识(直接得到唐太宗的任命,既给袈...
Python语言高频重点汇总
Python语言高频重点汇总 GitHub面试宝典仓库 回到首页 目录: Python语言高频重点汇总 目录: 1. 函数-传参 2. 元类 3. @staticmethod和@classmethod两个装饰器 4. 类属性和实例属性 5. Python的自省 6. 列表、集合、字典推导式 7. Python中单下划线和双下划线 8. 格式化字符串中的%和format 9. 迭代器和生成器 10...
究竟你适不适合买Mac?
我清晰的记得,刚买的macbook pro回到家,开机后第一件事情,就是上了淘宝网,花了500元钱,找了一个上门维修电脑的师傅,上门给我装了一个windows系统。。。。。。 表砍我。。。 当时买mac的初衷,只是想要个固态硬盘的笔记本,用来运行一些复杂的扑克软件。而看了当时所有的SSD笔记本后,最终决定,还是买个好(xiong)看(da)的。 已经有好几个朋友问我mba怎么样了,所以今天尽量客观
程序员一般通过什么途径接私活?
二哥,你好,我想知道一般程序猿都如何接私活,我也想接,能告诉我一些方法吗? 上面是一个读者“烦不烦”问我的一个问题。其实不止是“烦不烦”,还有很多读者问过我类似这样的问题。 我接的私活不算多,挣到的钱也没有多少,加起来不到 20W。说实话,这个数目说出来我是有点心虚的,毕竟太少了,大家轻喷。但我想,恰好配得上“一般程序员”这个称号啊。毕竟苍蝇再小也是肉,我也算是有经验的人了。 唾弃接私活、做外
ES6基础-ES6的扩展
进行对字符串扩展,正则扩展,数值扩展,函数扩展,对象扩展,数组扩展。 开发环境准备: 编辑器(VS Code, Atom,Sublime)或者IDE(Webstorm) 浏览器最新的Chrome 字符串的扩展: 模板字符串,部分新的方法,新的unicode表示和遍历方法: 部分新的字符串方法 padStart,padEnd,repeat,startsWith,endsWith,includes 字...
Python爬虫爬取淘宝,京东商品信息
小编是一个理科生,不善长说一些废话。简单介绍下原理然后直接上代码。 使用的工具(Python+pycharm2019.3+selenium+xpath+chromedriver)其中要使用pycharm也可以私聊我selenium是一个框架可以通过pip下载 pip install selenium -i https://pypi.tuna.tsinghua.edu.cn/simple/ 
阿里程序员写了一个新手都写不出的低级bug,被骂惨了。
你知道的越多,你不知道的越多 点赞再看,养成习惯 本文 GitHub https://github.com/JavaFamily 已收录,有一线大厂面试点思维导图,也整理了很多我的文档,欢迎Star和完善,大家面试可以参照考点复习,希望我们一起有点东西。 前前言 为啥今天有个前前言呢? 因为你们的丙丙啊,昨天有牌面了哟,直接被微信官方推荐,知乎推荐,也就仅仅是还行吧(心里乐开花)
Java工作4年来应聘要16K最后没要,细节如下。。。
前奏: 今天2B哥和大家分享一位前几天面试的一位应聘者,工作4年26岁,统招本科。 以下就是他的简历和面试情况。 基本情况: 专业技能: 1、&nbsp;熟悉Sping了解SpringMVC、SpringBoot、Mybatis等框架、了解SpringCloud微服务 2、&nbsp;熟悉常用项目管理工具:SVN、GIT、MAVEN、Jenkins 3、&nbsp;熟悉Nginx、tomca
Python爬虫精简步骤1 获取数据
爬虫的工作分为四步: 1.获取数据。爬虫程序会根据我们提供的网址,向服务器发起请求,然后返回数据。 2.解析数据。爬虫程序会把服务器返回的数据解析成我们能读懂的格式。 3.提取数据。爬虫程序再从中提取出我们需要的数据。 4.储存数据。爬虫程序把这些有用的数据保存起来,便于你日后的使用和分析。 这一篇的内容就是:获取数据。 首先,我们将会利用一个强大的库——requests来获取数据。 在电脑上安装
作为一个程序员,CPU的这些硬核知识你必须会!
CPU对每个程序员来说,是个既熟悉又陌生的东西? 如果你只知道CPU是中央处理器的话,那可能对你并没有什么用,那么作为程序员的我们,必须要搞懂的就是CPU这家伙是如何运行的,尤其要搞懂它里面的寄存器是怎么一回事,因为这将让你从底层明白程序的运行机制。 随我一起,来好好认识下CPU这货吧 把CPU掰开来看 对于CPU来说,我们首先就要搞明白它是怎么回事,也就是它的内部构造,当然,CPU那么牛的一个东
破14亿,Python分析我国存在哪些人口危机!
2020年1月17日,国家统计局发布了2019年国民经济报告,报告中指出我国人口突破14亿。 猪哥的朋友圈被14亿人口刷屏,但是很多人并没有看到我国复杂的人口问题:老龄化、男女比例失衡、生育率下降、人口红利下降等。 今天我们就来分析一下我们国家的人口数据吧! 更多有趣分析教程,扫描下方二维码关注vx公号「裸睡的猪」 即可查看! 一、背景 1.人口突破14亿 2020年1月17日,国家统计局发布
web前端javascript+jquery知识点总结
Javascript javascript 在前端网页中占有非常重要的地位,可以用于验证表单,制作特效等功能,它是一种描述语言,也是一种基于对象(Object)和事件驱动并具有安全性的脚本语言 ,语法同java类似,是一种解释性语言,边执行边解释。 JavaScript的组成: ECMAScipt 用于描述: 语法,变量和数据类型,运算符,逻辑控制语句,关键字保留字,对象。 浏览器对象模型(Br
Qt实践录:开篇
本系列文章介绍笔者的Qt实践之路。
在家远程办公效率低?那你一定要收好这个「在家办公」神器!
相信大家都已经收到国务院延长春节假期的消息,接下来,在家远程办公可能将会持续一段时间。 但是问题来了。远程办公不是人在电脑前就当坐班了,相反,对于沟通效率,文件协作,以及信息安全都有着极高的要求。有着非常多的挑战,比如: 1在异地互相不见面的会议上,如何提高沟通效率? 2文件之间的来往反馈如何做到及时性?如何保证信息安全? 3如何规划安排每天工作,以及如何进行成果验收? ......
作为一个程序员,内存和磁盘的这些事情,你不得不知道啊!!!
截止目前,我已经分享了如下几篇文章: 一个程序在计算机中是如何运行的?超级干货!!! 作为一个程序员,CPU的这些硬核知识你必须会! 作为一个程序员,内存的这些硬核知识你必须懂! 这些知识可以说是我们之前都不太重视的基础知识,可能大家在上大学的时候都学习过了,但是嘞,当时由于老师讲解的没那么有趣,又加上这些知识本身就比较枯燥,所以嘞,大家当初几乎等于没学。 再说啦,学习这些,也看不出来有什么用啊!
这个世界上人真的分三六九等,你信吗?
偶然间,在知乎上看到一个问题 一时间,勾起了我深深的回忆。 以前在厂里打过两次工,做过家教,干过辅导班,做过中介。零下几度的晚上,贴过广告,满脸、满手地长冻疮。   再回首那段岁月,虽然苦,但让我学会了坚持和忍耐。让我明白了,在这个世界上,无论环境多么的恶劣,只要心存希望,星星之火,亦可燎原。   下文是原回答,希望能对你能有所启发。   如果我说,这个世界上人真的分三六九等,
为什么听过很多道理,依然过不好这一生?
记录学习笔记是一个重要的习惯,不希望学习过的东西成为过眼云烟。做总结的同时也是一次复盘思考的过程。 本文是根据阅读得到 App上《万维钢·精英日课》部分文章后所做的一点笔记和思考。学习是一个系统的过程,思维模型的建立需要相对完整的学习和思考过程。以下观点是在碎片化阅读后总结的一点心得总结。
B 站上有哪些很好的学习资源?
哇说起B站,在小九眼里就是宝藏般的存在,放年假宅在家时一天刷6、7个小时不在话下,更别提今年的跨年晚会,我简直是跪着看完的!! 最早大家聚在在B站是为了追番,再后来我在上面刷欧美新歌和漂亮小姐姐的舞蹈视频,最近两年我和周围的朋友们已经把B站当作学习教室了,而且学习成本还免费,真是个励志的好平台ヽ(.◕ฺˇд ˇ◕ฺ;)ノ 下面我们就来盘点一下B站上优质的学习资源: 综合类 Oeasy: 综合
雷火神山直播超两亿,Web播放器事件监听是怎么实现的?
Web播放器解决了在手机浏览器和PC浏览器上播放音视频数据的问题,让视音频内容可以不依赖用户安装App,就能进行播放以及在社交平台进行传播。在视频业务大数据平台中,播放数据的统计分析非常重要,所以Web播放器在使用过程中,需要对其内部的数据进行收集并上报至服务端,此时,就需要对发生在其内部的一些播放行为进行事件监听。 那么Web播放器事件监听是怎么实现的呢? 01 监听事件明细表 名
3万字总结,Mysql优化之精髓
本文知识点较多,篇幅较长,请耐心学习 MySQL已经成为时下关系型数据库产品的中坚力量,备受互联网大厂的青睐,出门面试想进BAT,想拿高工资,不会点MySQL优化知识,拿offer的成功率会大大下降。 为什么要优化 系统的吞吐量瓶颈往往出现在数据库的访问速度上 随着应用程序的运行,数据库的中的数据会越来越多,处理时间会相应变慢 数据是存放在磁盘上的,读写速度无法和内存相比 如何优化 设计
一条链接即可让黑客跟踪你的位置! | Seeker工具使用
搬运自:冰崖的部落阁(icecliffsnet) 严正声明:本文仅限于技术讨论,严禁用于其他用途。 请遵守相对应法律规则,禁止用作违法途径,出事后果自负! 上次写的防社工文章里边提到的gps定位信息(如何防止自己被社工或人肉) 除了主动收集他人位置信息以外,我们还可以进行被动收集 (没有技术含量) Seeker作为一款高精度地理位置跟踪工具,同时也是社交工程学(社会工程学)爱好者...
作为程序员的我,大学四年一直自学,全靠这些实用工具和学习网站!
我本人因为高中沉迷于爱情,导致学业荒废,后来高考,毫无疑问进入了一所普普通通的大学,实在惭愧...... 我又是那么好强,现在学历不行,没办法改变的事情了,所以,进入大学开始,我就下定决心,一定要让自己掌握更多的技能,尤其选择了计算机这个行业,一定要多学习技术。 在进入大学学习不久后,我就认清了一个现实:我这个大学的整体教学质量和学习风气,真的一言难尽,懂的人自然知道怎么回事? 怎么办?我该如何更好的提升
前端JS初级面试题二 (。•ˇ‸ˇ•。)老铁们!快来瞧瞧自己都会了么
1. 传统事件绑定和符合W3C标准的事件绑定有什么区别? 传统事件绑定 &lt;div onclick=""&gt;123&lt;/div&gt; div1.onclick = function(){}; &lt;button onmouseover=""&gt;&lt;/button&gt; 注意: 如果给同一个元素绑定了两次或多次相同类型的事件,那么后面的绑定会覆盖前面的绑定 (不支持DOM事...
相关热词 c# 数组类型 泛型约束 c#的赛狗日程序 c# 传递数组 可变参数 c# 生成存储过程 c# list 补集 c#获得所有窗体 c# 当前秒数转成年月日 c#中的枚举 c# 计算校验和 连续随机数不重复c#
立即提问